wco.datamodel.wco.declaration_ds.dms._2

# DeclarationFunctionCodeType

###
Related Doc: package _2

#### class DeclarationFunctionCodeType extends CodeType

Linear Supertypes
CodeType, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DeclarationFunctionCodeType
2. CodeType
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new DeclarationFunctionCodeType()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

9. #### final def getClass(): Class[_]

   Definition Classes
     AnyRef → Any

10. #### def getLanguageID(): String

    Definition Classes
      CodeType

11. #### def getListAgencyID(): String

    Definition Classes
      CodeType

12. #### def getListAgencyName(): String

    Definition Classes
      CodeType

13. #### def getListID(): String

    Definition Classes
      CodeType

14. #### def getListName(): String

    Definition Classes
      CodeType

15. #### def getListSchemeURI(): String

    Definition Classes
      CodeType

16. #### def getListURI(): String

    Definition Classes
      CodeType

17. #### def getListVersionID(): String

    Definition Classes
      CodeType

18. #### def getName(): String

    Definition Classes
      CodeType

19. #### def getValue(): String

    Definition Classes
      CodeType

20. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

21. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

22. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### final def notify(): Unit

    Definition Classes
      AnyRef

24. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

25. #### def setLanguageID(value: String): Unit

    Definition Classes
      CodeType

26. #### def setListAgencyID(value: String): Unit

    Definition Classes
      CodeType

27. #### def setListAgencyName(value: String): Unit

    Definition Classes
      CodeType

28. #### def setListID(value: String): Unit

    Definition Classes
      CodeType

29. #### def setListName(value: String): Unit

    Definition Classes
      CodeType

30. #### def setListSchemeURI(value: String): Unit

    Definition Classes
      CodeType

31. #### def setListURI(value: String): Unit

    Definition Classes
      CodeType

32. #### def setListVersionID(value: String): Unit

    Definition Classes
      CodeType

33. #### def setName(value: String): Unit

    Definition Classes
      CodeType

34. #### def setValue(value: String): Unit

    Definition Classes
      CodeType

35. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

36. #### def toString(): String

    Definition Classes
      AnyRef → Any

37. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from CodeType

### Inherited from AnyRef

### Inherited from Any

### Ungrouped